package net.vtstar.zhongtong.avi.gateway.parts.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "WELDING_ROBOT_WORKSTATION")
@ApiModel(value = "焊接机器人工作站", description = "焊接机器人工作站监控数据表")
@Table(name = "eqp_data_welding_robot_workstation")
public class WeldingRobotWorkstationMachine  extends EquipmentData {

    @Id
    private Long id;

    @Show(label = "设备名称")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备名称")
    private String equipCode;

    @Show(label = "设备编号")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String alias;

    @Show(label = "开机时间")
    @Column(name = "turn_on_time")
    @ApiModelProperty(notes = "开机时间")
    private String turnOnTime;

    @Show(label = "故障时间")
    @Column(name = "fault_time")
    @ApiModelProperty(notes = "故障时间")
    private String faultTime;

    @Show(label = "故障次数")
    @Column(name = "fault_num")
    @ApiModelProperty(notes = "故障次数")
    private Integer faultNum;

    @Show(label = "焊接时间")
    @Column(name = "welding_time")
    @ApiModelProperty(notes = "焊接时间")
    private String weldingTime;

    @Show(label = "A焊接时间")
    @Column(name = "welding_time_a")
    @ApiModelProperty(notes = "A焊接时间")
    private String weldingTimeA;

    @Show(label = "B焊接时间")
    @Column(name = "welding_time_b")
    @ApiModelProperty(notes = "B焊接时间")
    private String weldingTimeB;

    @Show(label = "C焊接时间")
    @Column(name = "welding_time_c")
    @ApiModelProperty(notes = "C焊接时间")
    private String weldingTimeC;

    @Show(label = "D焊接时间")
    @Column(name = "welding_time_d")
    @ApiModelProperty(notes = "D焊接时间")
    private String weldingTimeD;

    @Show(label = "E焊接时间")
    @Column(name = "welding_time_e")
    @ApiModelProperty(notes = "E焊接时间")
    private String weldingTimeE;

    @Show(label = "F焊接时间")
    @Column(name = "welding_time_f")
    @ApiModelProperty(notes = "F焊接时间")
    private String weldingTimeF;

    @Show(label = "G焊接时间")
    @Column(name = "welding_time_g")
    @ApiModelProperty(notes = "G焊接时间")
    private String weldingTimeG;

    @Show(label = "H焊接时间")
    @Column(name = "welding_time_h")
    @ApiModelProperty(notes = "H焊接时间")
    private String weldingTimeH;

    @Show(label = "I焊接时间")
    @Column(name = "welding_time_i")
    @ApiModelProperty(notes = "I焊接时间")
    private String weldingTimeI;

    @Show(label = "J焊接时间")
    @Column(name = "welding_time_j")
    @ApiModelProperty(notes = "J焊接时间")
    private String weldingTimeJ;

    @Show(label = "K焊接时间")
    @Column(name = "welding_time_k")
    @ApiModelProperty(notes = "K焊接时间")
    private String weldingTimeK;

    @Show(label = "L焊接时间")
    @Column(name = "welding_time_l")
    @ApiModelProperty(notes = "L焊接时间")
    private String weldingTimeL;

    @Show(label = "M焊接时间")
    @Column(name = "welding_time_m")
    @ApiModelProperty(notes = "M焊接时间")
    private String weldingTimeM;

    @Show(label = "N焊接时间")
    @Column(name = "welding_time_n")
    @ApiModelProperty(notes = "N焊接时间")
    private String weldingTimeN;

    @Show(label = "O焊接时间")
    @Column(name = "welding_time_o")
    @ApiModelProperty(notes = "O焊接时间")
    private String weldingTimeO;

    @Show(label = "P焊接时间")
    @Column(name = "welding_time_p")
    @ApiModelProperty(notes = "P焊接时间")
    private String weldingTimeP;

    @Show(label = "Q焊接时间")
    @Column(name = "welding_time_q")
    @ApiModelProperty(notes = "Q焊接时间")
    private String weldingTimeQ;

    @Show(label = "R焊接时间")
    @Column(name = "welding_time_r")
    @ApiModelProperty(notes = "R焊接时间")
    private String weldingTimeR;

    @Show(label = "S焊接时间")
    @Column(name = "welding_time_s")
    @ApiModelProperty(notes = "S焊接时间")
    private String weldingTimeS;

    @Show(label = "焊接电流")
    @Column(name = "welding_current")
    @ApiModelProperty(notes = "焊接电流")
    private Integer weldingCurrent;

    @Show(label = "耗电量")
    @Column(name = "power_consumption")
    @ApiModelProperty(notes = "耗电量")
    private Integer powerConsumption;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    @Show(label = "设备位置")
    @Column(name = "equip_factory")
    @ApiModelProperty(notes = "设备位置")
    private String equipFactory;

    @ApiModelProperty("采集状态")
    @Column(name = "status")
    private String status;
}
